aboutsummaryrefslogtreecommitdiff
path: root/utils
diff options
context:
space:
mode:
authorLuca Deri <deri@ntop.org>2023-10-26 00:01:44 +0200
committerLuca Deri <deri@ntop.org>2023-10-26 00:01:44 +0200
commit1832d247b39e24ac7cc1b8417ca076bd61ae9c6e (patch)
treece4c560a304eed419b934e57b4b2c911b4c3e0ae /utils
parent9509cd507a27f8a618105b80c5e5c4b80f7624ae (diff)
Tool for creating bitcoing IP files
Diffstat (limited to 'utils')
-rwxr-xr-xutils/bitcoinnodes_v4v6.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/utils/bitcoinnodes_v4v6.sh b/utils/bitcoinnodes_v4v6.sh
new file mode 100755
index 000000000..2ae8babd6
--- /dev/null
+++ b/utils/bitcoinnodes_v4v6.sh
@@ -0,0 +1,32 @@
+#!/usr/bin/env bash
+#
+# List all the current bittorrent nodes
+#
+
+set -e
+
+cd "$(dirname "${0}")" || exit 1
+. ./common.sh || exit 1
+
+# NOTE: JQ can be found at https://stedolan.github.io/jq/
+CMD='curl -s -H "Accept: application/json; indent=4" https://bitnodes.io/api/v1/snapshots/latest/'
+
+RESULT_V4="$(${CMD} | jq -r '.nodes|keys[] as $k | "\($k)"' | grep -v onion | grep -v ']' | cut -d ':' -f 1)"
+RESULT_V6="$(${CMD} | jq -r '.nodes|keys[] as $k | "\($k)"' | grep -v onion | grep ']' | cut -d '[' -f 2 | cut -d ']' -f 1)"
+RESULTS="echo ${RESULT_V4} ${RESULT_V6}"
+
+OUT_FILE="../lists/99_bitcoinnodes.ip_list"
+
+rm -f ${OUT_FILE}
+
+strarr=($(echo $RESULT_V4 | tr " " "\n"))
+for i in "${strarr[@]}"; do
+ echo "$i/32" >> "${OUT_FILE}"
+done
+
+#########
+
+strarr=($(echo $RESULT_V6 | tr " " "\n"))
+for i in "${strarr[@]}"; do
+ echo "$i/128" >> "${OUT_FILE}"
+done